﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using Telerik.Windows.Controls;

namespace RadBookAndUserControlsExample
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			RadBookItem item = new RadBookItem();
			item.Background = new SolidColorBrush(Color.FromArgb(0xFF,0x90,0xEE,0x90));
			
			Grid grid = new Grid();
			grid.RowDefinitions.Add(new RowDefinition() { Height = new GridLength(1, GridUnitType.Star) });
			grid.RowDefinitions.Add(new RowDefinition() { Height = new GridLength(1, GridUnitType.Auto) });
			
			grid.Children.Add(new UserControl2());

			TextBlock txt = new TextBlock() { Text = "Page4", FontSize = 16, FontWeight = FontWeights.Bold, Foreground = new SolidColorBrush(Colors.Green),HorizontalAlignment = System.Windows.HorizontalAlignment.Center };
			txt.SetValue(Grid.RowProperty, 1);
			grid.Children.Add(txt);

			item.Content = grid;

			this.myBook.Items.Add(item);
		}
	}
}
